Package com.sun.speech.engine

# Class SpeechEventUtilities.SpeechAWTEvent

java.lang.Object
java.util.EventObject
java.awt.AWTEvent
com.sun.speech.engine.SpeechEventUtilities.SpeechAWTEvent

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `SpeechEventUtilities`

protected static class SpeechEventUtilities.SpeechAWTEvent extends AWTEvent
Inner class that defines SpeechAWTEvents. These are created and posted to the AWT EventQueue by the postSpeechEvent method.

See Also:
  - `SpeechEventUtilities.postSpeechEvent(com.sun.speech.engine.SpeechEventDispatcher, SpeechEvent)`
  - Serialized Form

## Field Summary

### Fields inherited from class java.awt.AWTEvent

`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK, WINDOW_STATE_EVENT_MASK`

### Fields inherited from class java.util.EventObject

`source`

## Method Summary

### Methods inherited from class java.awt.AWTEvent

`consume, getID, isConsumed, paramString, setSource, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`